Index: branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiFixedpositionBox);
+  ObjectListDefinition(GLGuiFixedpositionBox);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiFixedpositionBox : public OrxGui::GLGuiBox, EventListener
   {
-    NewObjectListDeclaration(GLGuiFixedpositionBox);
+    ObjectListDeclaration(GLGuiFixedpositionBox);
     public:
       GLGuiFixedpositionBox(OrxGui::Position position = OrxGui::Center, OrxGui::Orientation orientation = OrxGui::Vertical);
Index: branches/new_class_id/src/lib/gui/gl/glgui_frame.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_frame.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_frame.cc	(revision 9715)
@@ -21,5 +21,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiFrame);
+  ObjectListDefinition(GLGuiFrame);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_frame.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_frame.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_frame.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiFrame : public GLGuiContainer
   {
-    NewObjectListDeclaration(GLGuiFrame);
+    ObjectListDeclaration(GLGuiFrame);
   public:
     GLGuiFrame();
Index: branches/new_class_id/src/lib/gui/gl/glgui_handler.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_handler.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_handler.cc	(revision 9715)
@@ -34,5 +34,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiHandler);
+  ObjectListDefinition(GLGuiHandler);
   /**
    * standard constructor
@@ -116,5 +116,5 @@
   {
     // retrieve Objects.
-    NewObjectList<GLGuiWidget>::const_iterator it, currentIt;
+    ObjectList<GLGuiWidget>::const_iterator it, currentIt;
     currentIt = GLGuiWidget::objectList().end();
 
@@ -154,5 +154,5 @@
   void GLGuiHandler::selectPrevious()
   {
-    NewObjectList<GLGuiWidget>::const_iterator it, currentIt;
+    ObjectList<GLGuiWidget>::const_iterator it, currentIt;
     currentIt = GLGuiWidget::objectList().begin();
 
@@ -286,5 +286,5 @@
     if (this->_cursor != NULL)
     {
-      for (NewObjectList<GLGuiWidget>::const_iterator it = GLGuiWidget::objectList().begin();
+      for (ObjectList<GLGuiWidget>::const_iterator it = GLGuiWidget::objectList().begin();
 	   it != GLGuiWidget::objectList().end();
 	   it++)
Index: branches/new_class_id/src/lib/gui/gl/glgui_handler.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_handler.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_handler.h	(revision 9715)
@@ -19,5 +19,5 @@
   class GLGuiHandler : public EventListener
   {
-    NewObjectListDeclaration(GLGuiHandler);
+    ObjectListDeclaration(GLGuiHandler);
   public:
     /** @returns a Pointer to the only object of this Class */
Index: branches/new_class_id/src/lib/gui/gl/glgui_image.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_image.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_image.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiImage);
+  ObjectListDefinition(GLGuiImage);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_image.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_image.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_image.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiImage : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiImage);
+    ObjectListDeclaration(GLGuiImage);
   public:
     GLGuiImage();
Index: branches/new_class_id/src/lib/gui/gl/glgui_inputline.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_inputline.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_inputline.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiInputLine);
+  ObjectListDefinition(GLGuiInputLine);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_inputline.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_inputline.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_inputline.h	(revision 9715)
@@ -25,5 +25,5 @@
   class GLGuiInputLine : public OrxGui::GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiInputLine);
+    ObjectListDeclaration(GLGuiInputLine);
   public:
     GLGuiInputLine();
Index: branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiMainWidget);
+  ObjectListDefinition(GLGuiMainWidget);
 
   /**
Index: branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.h	(revision 9715)
@@ -15,5 +15,5 @@
   class GLGuiMainWidget : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiMainWidget);
+    ObjectListDeclaration(GLGuiMainWidget);
   public:
     virtual ~GLGuiMainWidget(void);
Index: branches/new_class_id/src/lib/gui/gl/glgui_menu.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_menu.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_menu.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiMenu);
+  ObjectListDefinition(GLGuiMenu);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_menu.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_menu.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_menu.h	(revision 9715)
@@ -19,5 +19,5 @@
   class GLGuiMenu : public GLGuiMenu
   {
-    NewObjectListDeclaration(GLGuiMenu);
+    ObjectListDeclaration(GLGuiMenu);
   public:
     GLGuiMenu();
Index: branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiPushButton);
+  ObjectListDefinition(GLGuiPushButton);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiPushButton : public GLGuiButton
   {
-    NewObjectListDeclaration(GLGuiPushButton);
+    ObjectListDeclaration(GLGuiPushButton);
   public:
     GLGuiPushButton(const std::string& label = "");
Index: branches/new_class_id/src/lib/gui/gl/glgui_slider.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_slider.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_slider.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiSlider);
+  ObjectListDefinition(GLGuiSlider);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_slider.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_slider.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_slider.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiSlider : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiSlider);
+    ObjectListDeclaration(GLGuiSlider);
   public:
     GLGuiSlider();
Index: branches/new_class_id/src/lib/gui/gl/glgui_table.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_table.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_table.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiTable);
+  ObjectListDefinition(GLGuiTable);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_table.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_table.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_table.h	(revision 9715)
@@ -25,5 +25,5 @@
   class GLGuiTable : public OrxGui::GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiTable);
+    ObjectListDeclaration(GLGuiTable);
   public:
     GLGuiTable(unsigned int rows, unsigned int columns);
Index: branches/new_class_id/src/lib/gui/gl/glgui_text.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_text.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_text.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiText);
+  ObjectListDefinition(GLGuiText);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_text.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_text.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_text.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiText : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiText);
+    ObjectListDeclaration(GLGuiText);
   public:
     GLGuiText();
Index: branches/new_class_id/src/lib/gui/gl/glgui_textfield.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_textfield.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_textfield.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiTextfield);
+  ObjectListDefinition(GLGuiTextfield);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_textfield.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_textfield.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_textfield.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiTextfield : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiTextfield);
+    ObjectListDeclaration(GLGuiTextfield);
   public:
     GLGuiTextfield();
Index: branches/new_class_id/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_widget.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_widget.cc	(revision 9715)
@@ -31,5 +31,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiWidget);
+  ObjectListDefinition(GLGuiWidget);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_widget.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_widget.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_widget.h	(revision 9715)
@@ -30,5 +30,5 @@
   class GLGuiWidget : public Element2D
   {
-    NewObjectListDeclaration(GLGuiWidget);
+    ObjectListDeclaration(GLGuiWidget);
   public:
     GLGuiWidget(GLGuiWidget* parent = NULL);
Index: branches/new_class_id/src/lib/gui/gl/glgui_window.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_window.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_window.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiWindow);
+  ObjectListDefinition(GLGuiWindow);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_window.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_window.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glgui_window.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiWindow : public GLGuiContainer
   {
-    NewObjectListDeclaration(GLGuiWindow);
+    ObjectListDeclaration(GLGuiWindow);
   public:
     GLGuiWindow();
Index: branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
+ObjectListDefinitionID(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
 CREATE_FACTORY(GLMenuImageScreen);
 
Index: branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h	(revision 9715)
@@ -15,5 +15,5 @@
 class GLMenuImageScreen : public BaseObject
 {
-  NewObjectListDeclaration(GLMenuImageScreen);
+  ObjectListDeclaration(GLMenuImageScreen);
 public:
   GLMenuImageScreen (const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.cc	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiNotifier);
+  ObjectListDefinition(GLGuiNotifier);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.h	(revision 9714)
+++ branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.h	(revision 9715)
@@ -24,5 +24,5 @@
   class GLGuiNotifier : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiNotifier);
+    ObjectListDeclaration(GLGuiNotifier);
   public:
     GLGuiNotifier();
Index: branches/new_class_id/src/lib/lang/base_object.cc
===================================================================
--- branches/new_class_id/src/lib/lang/base_object.cc	(revision 9714)
+++ branches/new_class_id/src/lib/lang/base_object.cc	(revision 9715)
@@ -21,5 +21,5 @@
 #include "util/loading/load_param.h"
 
-NewObjectListDefinition(BaseObject);
+ObjectListDefinition(BaseObject);
 
 /**
@@ -43,5 +43,5 @@
 BaseObject::~BaseObject ()
 {
-  /// Remove from the NewObjectLists
+  /// Remove from the ObjectLists
   ClassList::iterator it;
   for (it = this->_classes.begin(); it != this->_classes.end(); ++it)
@@ -89,5 +89,5 @@
  * @return True if found, false if not.
  */
-bool BaseObject::isA(const NewObjectListBase& objectList) const
+bool BaseObject::isA(const ObjectListBase& objectList) const
 {
   ClassList::const_iterator it;
@@ -104,5 +104,5 @@
  * @return True if found, false if not.
  */
-bool BaseObject::isA(const NewClassID& classID) const
+bool BaseObject::isA(const ClassID& classID) const
 {
   ClassList::const_iterator it;
Index: branches/new_class_id/src/lib/lang/base_object.h
===================================================================
--- branches/new_class_id/src/lib/lang/base_object.h	(revision 9714)
+++ branches/new_class_id/src/lib/lang/base_object.h	(revision 9715)
@@ -26,5 +26,5 @@
 class BaseObject : public sigslot::has_slots<>
 {
-  NewObjectListDeclaration(BaseObject);
+  ObjectListDeclaration(BaseObject);
 public:
   BaseObject (const std::string& objectName = "");
@@ -48,10 +48,10 @@
   inline const std::string& getClassName() const { return _classes.front()._objectList->name(); };
 
-  inline const NewClassID& getClassID() const { return *_leafClassID; }
+  inline const ClassID& getClassID() const { return *_leafClassID; }
   /** @returns the ID of the Topmost object of the ClassStack */
   inline const int& getLeafClassID() const { return _leafClassID->id(); }
 
-  bool isA(const NewObjectListBase& objectList) const;
-  bool isA(const NewClassID& classID) const;
+  bool isA(const ObjectListBase& objectList) const;
+  bool isA(const ClassID& classID) const;
   bool isA(int classID) const;
   bool isA(const std::string& className) const;
@@ -65,5 +65,5 @@
 
 protected:
-  template<class T> void registerObject(T* object, NewObjectList<T>& list);
+  template<class T> void registerObject(T* object, ObjectList<T>& list);
 
 protected:
@@ -80,8 +80,8 @@
   struct ClassEntry
   {
-    /** Simple Constuctor @param objectList the NewObjectList, @param iterator the (intrusive) Iterator inside of the ObjectList */
-    inline ClassEntry (NewObjectListBase* objectList, NewObjectListBase::IteratorBase* iterator) : _objectList(objectList), _iterator(iterator) {}
-    NewObjectListBase*                _objectList;  //!< A ObjectList this Object is part of
-    NewObjectListBase::IteratorBase*  _iterator;    //!< An iterator pointing to the position of the Object inside of the List.
+    /** Simple Constuctor @param objectList the ObjectList, @param iterator the (intrusive) Iterator inside of the ObjectList */
+    inline ClassEntry (ObjectListBase* objectList, ObjectListBase::IteratorBase* iterator) : _objectList(objectList), _iterator(iterator) {}
+    ObjectListBase*                _objectList;  //!< A ObjectList this Object is part of
+    ObjectListBase::IteratorBase*  _iterator;    //!< An iterator pointing to the position of the Object inside of the List.
   };
   typedef std::list<ClassEntry>        ClassList;   //!< Type definition for the List.
@@ -89,5 +89,5 @@
   std::string                         className;    //!< the name of the class
   ClassList                           _classes;     //!< All Classes this object is part of.
-  const NewClassID*                       _leafClassID;  //!< Topmost ClassID.
+  const ClassID*                       _leafClassID;  //!< Topmost ClassID.
 };
 
@@ -103,5 +103,5 @@
  */
 template<class T>
-inline void BaseObject::registerObject(T* object, NewObjectList<T>& objectList)
+inline void BaseObject::registerObject(T* object, ObjectList<T>& objectList)
 {
   this->_leafClassID = &objectList.identity();
Index: branches/new_class_id/src/lib/lang/new_class_id.cc
===================================================================
--- branches/new_class_id/src/lib/lang/new_class_id.cc	(revision 9714)
+++ branches/new_class_id/src/lib/lang/new_class_id.cc	(revision 9715)
@@ -23,5 +23,5 @@
  * this Always points to the ID of the NullClass.
  */
-NewClassID::NewClassID()
+ClassID::ClassID()
 {
   NullClass::acquireID(this->_id, this->_name);
@@ -30,7 +30,7 @@
 /**
  * @brief Acquiring the ID of a objectList.
- * @param objList The NewObjectList to acquire the ID from.
+ * @param objList The ObjectList to acquire the ID from.
  */
-NewClassID::NewClassID(const NewObjectListBase* const objList)
+ClassID::ClassID(const ObjectListBase* const objList)
 {
   objList->acquireID(this->_id, this->_name);
@@ -38,5 +38,5 @@
 
 
-NewClassID NullClass::_classID;
+ClassID NullClass::_classID;
 
 int NullClass::_nullID;
Index: branches/new_class_id/src/lib/lang/new_class_id.h
===================================================================
--- branches/new_class_id/src/lib/lang/new_class_id.h	(revision 9714)
+++ branches/new_class_id/src/lib/lang/new_class_id.h	(revision 9715)
@@ -10,22 +10,22 @@
 #include <string>
 
-class NewObjectListBase;
+class ObjectListBase;
 
 //! A class to dynamically allocate ClassID's and to support a isA operator
 /**
- * A NewClassID can only be aquired over a NewObjectList,
+ * A ClassID can only be aquired over a ObjectList,
  * thus enabling the developer to have permanent access to the correct ID and ClassName
  *
- * The Idea behind this concept is, that storing a NewClassID that changes its internal state
- * all NewClassID's will be updated correctly.
+ * The Idea behind this concept is, that storing a ClassID that changes its internal state
+ * all ClassID's will be updated correctly.
  *
- * Since the Existance of any NewObjectList is a requirement during the working process all
+ * Since the Existance of any ObjectList is a requirement during the working process all
  * ID's should reference a valid ID and ClassName
  */
-class NewClassID
+class ClassID
 {
 public:
-  NewClassID();
-  NewClassID(const NewObjectListBase* const id);
+  ClassID();
+  ClassID(const ObjectListBase* const id);
   /// the copy constructor is also defined implicitely.
 
@@ -36,5 +36,5 @@
 
   /** @param id the id to compare @returns true on match (match is same ID) @brief compares two id's */
-  bool operator==(const NewClassID& id) const { return *_id == *id._id /* || _name == id._name */; };
+  bool operator==(const ClassID& id) const { return *_id == *id._id /* || _name == id._name */; };
   /** @param id the id to compare @returns true on match (match is same ID) @brief compares two id's */
   bool operator==(int id) const { return *_id == id; };
@@ -42,5 +42,5 @@
   bool operator==(const std::string& name) const { return *_name == name; };
   /** @param id the id to compare @returns false on match (match is same ID) @brief compares two id's */
-  bool operator!=(const NewClassID& id) const { return *_id != *id._id /* && _name != id._name*/;  };
+  bool operator!=(const ClassID& id) const { return *_id != *id._id /* && _name != id._name*/;  };
   /** @param id the id to compare @returns false on match (match is same ID) @brief compares two id's */
   bool operator!=(int id) const { return *_id != id; };
@@ -61,5 +61,5 @@
 public:
   /** @returns the NullClass' ID. */
-  static const NewClassID& classID() { return NullClass::_classID; }
+  static const ClassID& classID() { return NullClass::_classID; }
   /** @param id the ID to acquire @param name the name to acquire @brief acquires the ID of this Class */
   static void acquireID(const int*& id, const std::string*& name) { id = &_nullID; name = &_nullName; };
@@ -69,5 +69,5 @@
 
 private:
-  static NewClassID         _classID;      //!< The NullClass' ID
+  static ClassID         _classID;      //!< The NullClass' ID
   static const std::string  _nullName;     //!< The NullClass' Name ("NullClass")
   static int                _nullID;       //!< The NullClass' ID
